/*****************************************************************************************************

	Main.cpp	SC02 SetID	Ver.2.1.1
	
	
													2015.10.26 M.Utsumi@ARCDEVICE

******************************************************************************************************/

#include<windows.h>
#include<stdio.h>
#include<conio.h>
#include<string.h>
#include<math.h>
#include"SC02.h"


int main( int argc, char* argv[] )
{
	SC02 sc;
	int nNewID;

// Jn
	printf("Open SC02 ");
	if( !sc.Open( CM_MASTER_ID ) ){
		printf( "Error:%s\n", sc.Error );
		return( 0 );
	}
	printf("OK\n");

	if( !sc.GetID() ){
		printf( "Error:%s\n", sc.Error );
		sc.Close();
		return( 0 );
	}
	
	printf("Current ID:%d\r\n", 0x00FF&sc.bID );

	printf("Input New ID 0-254(Exit: 255):");
	scanf_s("%d", &nNewID );
	if( nNewID >= 255 ){
		printf("SC02 Close ");
		if(!sc.Close()){
			printf("Error:%s",sc.Error );
		}
		printf("OK\r\n");
		return( 0 );
	}

	printf("Set new ID ");
	if( !sc.SetID( (BYTE)nNewID ) ){
		printf("%s", sc.Error);
		return( FALSE );
	}

	if( !sc.GetID() ){
		printf("%s", sc.Error);
		return( FALSE );
	}

	if( sc.bID != nNewID ){
		printf("Failed\r\n");
	}else{
		printf("OK\r\n");
	}

// I
	printf("Close SC02 ");
	sc.Close();
	printf("OK\n");

	return(1);
}

